// This class emulates a servo
class Servo extends Component {
  float servoRot;
  Servo(float _compX, float _compY) {
    super(_compX, _compY);
    servoRot = 0;
  }

  void display() {
    pushMatrix();
    translate(compScrPos.x, compScrPos.y);
    rotate(seeker.seekerRot);
    noStroke();
    fill(150);
    rect(0, 0, 10, 10);
    popMatrix();
  }

  void write(float _rot) {
    // Rotates the servo between 0 and 180 degrees to the input rotation
    servoRot = map(_rot, 0, 180, -PI/2, PI/2);
  }
}
