// Draws the light of the sun on the ground
class Sun {
  PVector sunPos;
  Sun(float _posX, float _posY) {
    sunPos = new PVector(_posX, _posY);
  }

  void display() {
    for (int i = 0; i < 20; i++) {
      noStroke();
      fill(255, 204, 0, 20);
      circle(sunPos.x, sunPos.y, 30*i);
    }
  }

  void lightUpdate(float x, float y) {
    // sets the sun position to the input
    sunPos.set(x, y);
  }
}
